Class | ActiveRecord::Reflection::MacroReflection
In: | lib/active_record/reflection.rb
Parent: | Object

Abstract base class for AggregateReflection and AssociationReflection that describes the interface available for both of those classes. Objects of AggregateReflection and AssociationReflection are returned by the Reflection::ClassMethods.

### Methods

== class_name klass macro name new options

### Attributes

active_record | [R] |

### Public Class methods

new(macro, name, options, active_record)

### Public Instance methods

==(other_aggregation)
class_name()
klass()

Returns the class for the macro, so "composed_of :balance, :class_name => ‘Money’" returns the Money class and "has_many :clients" returns the Client class.

macro()

Returns the type of the macro, so it would return :composed_of for "composed_of :balance, :class_name => ‘Money’" or :has_many for "has_many :clients".

name()

Returns the name of the macro, so it would return :balance for "composed_of :balance, :class_name => ‘Money’" or :clients for "has_many :clients".

options()

Returns the hash of options used for the macro, so it would return { :class_name => "Money" } for "composed_of :balance, :class_name => ‘Money’" or {} for "has_many :clients".

[Validate]